Repository 32bit  Forum
Repository 64bit  Wiki

Non riesco ad installare i pacchetti

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Non riesco ad installare i pacchetti

Messaggioda Sybelius » dom ott 11, 2009 15:17

Ciao a Tutti :)

Nel mio piccolo sto facendo progressi e sono riuscito ad italianizzare sia la Slackware che Firefox, adesso pero' sono in difficolta' per installare dei pacchetti e dato che credo di aver seguito alla lettera le istruzioni, mi permetto chiedere il vostro gentile aiuto.
Vorrei installare questo: file:///root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz perche' ho letto che e' da preferire per installare pacchetti non ufficiali; e questo: file:///root/Download/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz per poter visionare i video su YouTube e simili.
Il primo pacchetto l'ho scaricato e si trova in: /home/downloads
Il secondo " " " " " " : /home/download
Per installarli, dopo aver fatto la procedura d'aggiornamento (selezione mirror con decommento della riga) e comandi
Slackpkg update gpg
Slackpkg update
Slackpkg install-new
Slackpkg upgrade all
Slackpkg clean-system
Ho provato con Installpkg e con Pkgtool, ho provato ad usare explodepkg seguito da installpkg (sempre aggiungendo il nome del pacchetto con copia/incolla su terminale da root) e non ho concluso niente.
Dove sbaglio ?

Vi ringrazio per avermi fin qui gentilmente seguito, ciao

P.S.
Gia' che ci siamo :) : ad ogni sessione devo aggiustare a mano l'orologio che e' sempre due ore indietro, seppure abbia settato la localita' (non ho spuntato "UTC" in fase di configurazione) e se spunto l'opzione di sincronizzazione automatica, mi dice che non riesce a contattare il server.
Sybelius
Linux 1.0
Linux 1.0
 
Messaggi: 86
Iscritto il: mar set 09, 2008 19:00

Re: Non riesco ad installare i pacchetti

Messaggioda 414N » dom ott 11, 2009 15:30

Non capisco perché lanci tutti quei comandi con slackpkg per installare due pacchetti...
Codice: Seleziona tutto
upgradepkg --install-new pacchetto1 pacchetto2

Riporta eventuali errori che ricevi (da quel che hai scritto non si capisce cosa non va a buon fine).

PS1: evita di usare root per un uso "desktop" del pc. Rischi di combinare macelli gratis :roll:
PS2: explodepkg serve per estrarre il contenuto di un pacchetto. La successiva esecuzioni di installpkg sul contenuto estratto non potrà mai andare a buon fine (pretende un pacchetto...).
PS3: Prova ad impostare l'orologio in GMT+1, sul fuso orario di Roma.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Non riesco ad installare i pacchetti

Messaggioda Sybelius » dom ott 11, 2009 16:07

414N chiede: - Non capisco perché lanci tutti quei comandi con slackpkg per installare due pacchetti...

Ciao 414N,

Grazie per avermi risposto; tutti quei comandi non li ho lanciati per installare i due pacchetti, li ho riportati per descrivere cosa ho fatto prima di tentare l'installazione dei pacchetti flashplayer e slackyd.

upgradepkg --install-new pacchetto1 pacchetto2
Riporta eventuali errori che ricevi (da quel che hai scritto non si capisce cosa non va a buon fine).

Ho seguito le tue istruzioni e non ho ottenuto un riscontro positivo, ecco la schermata del terminale:
root@Dominum---Tlokweng:~# pppoe-start
. Connected!
root@Dominum---Tlokweng:~# upgradepkg --install-new file:///root/Download/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz file:///root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz
Cannot install file:///root/Download/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz: file not found
Cannot install file:///root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz: file not found


PS1: evita di usare root per un uso "desktop" del pc. Rischi di combinare macelli gratis :roll:
Grazie per l'avviso, sono da root per due motivi:
1- Per completare la sistemazione della Slackware.
2 - (Fondamentale) :) Perche' accedendo da user non riesco a connettermi (o forse per qualche altro grave motivo che adesso non ricordo, questa e' un'altra faccenda da sistemare, ma, l'ho messa in coda ;)

PS2: explodepkg serve per estrarre il contenuto di un pacchetto. La successiva esecuzioni di installpkg sul contenuto estratto non potrà mai andare a buon fine (pretende un pacchetto...).

Me l'aspettavo, era solo un tentativo...Sorry !

PS3: Prova ad impostare l'orologio in GMT+1, sul fuso orario di Roma.

Mi trovo in Africa (Gaborone - Botswana ed ho impostato il fuso orario su questa localita' dall'inizio, senza risolvere :( [/quote]

A presto
Sybelius
Linux 1.0
Linux 1.0
 
Messaggi: 86
Iscritto il: mar set 09, 2008 19:00

Re: Non riesco ad installare i pacchetti

Messaggioda 414N » dom ott 11, 2009 16:50

Sybelius ha scritto:root@Dominum---Tlokweng:~# upgradepkg --install-new file:///root/Download/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz file:///root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz
Cannot install file:///root/Download/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz: file not found
Cannot install file:///root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz: file not found

È perché insisti con quel file:// che non funziona. Cavalo via! :)
Se ti piazzi in /root/Downloads e lanci
Codice: Seleziona tutto
upgradepkg --install-new libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz slackyd-0.1.12beta-x86_64-1all.tgz

dovrebbe andare senza problemi.
Sybelius ha scritto:Grazie per l'avviso, sono da root per due motivi:
1- Per completare la sistemazione della Slackware.
2 - (Fondamentale) :) Perche' accedendo da user non riesco a connettermi (o forse per qualche altro grave motivo che adesso non ricordo, questa e' un'altra faccenda da sistemare, ma, l'ho messa in coda ;)

1) Per completare la sistemazione della Slackware, nulla ti impedisce di entrare come utente e aprire una shell di root dall'ambiente dell'utente tramite il comando su.
2) come 1). Se da utente non riesci a connetterti (forse non hai inserito l'utente nei gruppi richiesti), puoi sempre aprire un terminale, diventare root e far partire la connessione.
Sybelius ha scritto:Mi trovo in Africa (Gaborone - Botswana ed ho impostato il fuso orario su questa localita' dall'inizio, senza risolvere :(

Questo m'era sfuggito :p
Forse non viene salvato l'orario nel RTC. Controlla se, allo spegnimento (o, comunque, nei log di sistema), vedi qualche messaggio riguardante il RTC. Qualcosa subito dopo la frase: "Saving system clock (localtime) to RTC..."
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Non riesco ad installare i pacchetti

Messaggioda erio » dom ott 11, 2009 17:21

cioa guarda che il plugin flash lo scompatti e lo copi nella directory plugin di firefox, per un uso piu immediato e intuitivo usa pkgtool scarichi i file nella root o in una directory e li installi da li.slackyd è un ottimo programma per cercare i pacchetti
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1066
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Non riesco ad installare i pacchetti

Messaggioda 414N » dom ott 11, 2009 17:42

erio ha scritto:cioa guarda che il plugin flash lo scompatti e lo copi nella directory plugin di firefox

Hai ragione, m'era sfuggito!
Lascia stare installpkg/upgradepkg per flash.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Non riesco ad installare i pacchetti

Messaggioda Sybelius » dom ott 11, 2009 18:41

@ Erio: Vittoria ! Ho seguito il tuo consiglio ed adesso i video sono perfettamente visibili. Grazie ! :D
@ 414N: Adesso mi resta da capire cosa devo fare per installare Slackyd ed anche come sistemare l'orologio :thumbright:

Ciao :)
Sybelius
Linux 1.0
Linux 1.0
 
Messaggi: 86
Iscritto il: mar set 09, 2008 19:00

Re: Non riesco ad installare i pacchetti

Messaggioda conraid » dom ott 11, 2009 19:29

mmm.. sybelius
rinnovo l'invito a leggere prima la documentazione ;-)

Con i pkgtools non puoi specificare url, anche se locali (file://), ma semplicemente il path (solo il nome del pacchetto se è nella stessa directory)

riguardo l'orario, hai altri sistemi nel pc? non è che qualcuno è configurato diversamente?
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11987
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Non riesco ad installare i pacchetti

Messaggioda Dani » dom ott 11, 2009 19:35

Sybelius ha scritto:Adesso mi resta da capire cosa devo fare per installare Slackyd


#installpkg /root/Downloads/slackyd-0.1.12beta-x86_64-1all.tgz
# slackyd -u
# slackyd -B slackyd -f
#upgradepkg /var/slackyd/src/slacky/slackyd/0.1.13.2beta/slackyd-0.1.13.2beta-i486-2mch.t[gx]z

[edit]
Non installarlo slackyd, ho notato ora che sulla 64bit non funziona perchè il manifest si trova in slackware64/ mentre il tool lo cerca in slackware/ #-o .

ed anche come sistemare l'orologio


# date -s 'mm/gg/yy hh:mm:ss'
Dani
Linux 3.x
Linux 3.x
 
Messaggi: 1447
Iscritto il: mer apr 26, 2006 0:52
Desktop: gnome
Distribuzione: arch

Re: Non riesco ad installare i pacchetti

Messaggioda Sybelius » lun ott 12, 2009 0:44

[edit] (da Dani)
Non installarlo slackyd, ho notato ora che sulla 64bit non funziona perchè il manifest si trova in slackware64/ mentre il tool lo cerca in slackware/ #-o .


Ciao Dani,

Sono mortificato, ma ho visto il tuo "edit" solo adesso, dopo aver fatto due tentativi d'installazione, perche' mi ero reso conto che qualcosa era andato storto; stavo per scriverti allegando la schermata del terminale.
L' orologio credo di essere riuscito ad aggiustarlo, verifichero' domani.
Ti ringrazio molto per la tua cortesia e disponibilita', ciao :)
Sybelius
Linux 1.0
Linux 1.0
 
Messaggi: 86
Iscritto il: mar set 09, 2008 19:00

Re: Non riesco ad installare i pacchetti

Messaggioda Sybelius » lun ott 12, 2009 1:06

Conraid scrive: mmm.. Sybelius
rinnovo l'invito a leggere prima la documentazione ;-)
Con i pkgtools non puoi specificare url, anche se locali (file://), ma semplicemente il path (solo il nome del pacchetto se è nella stessa directory)

Ciao Conraid,

Ti giuro che oggi qualcosa ho letto e che sono anche piuttosto gasato, perche' sono riuscito ad italianizzare KDE ed anche Firefox :blob7: Dulcis in fundo, spronato dal consiglio di 414N, mi sono loggato da utente, riuscendo a superare le difficolta' che avevo incontrato prima. :toothy7:
Per quanto riguarda il tentativo d'installazione afferente a Slackyd, ho letto questa guida (mi era parsa affidabile...):
http://klick-blog.blogspot.com/2009/08/ ... e-con.html

Riguardo l'orario, hai altri sistemi nel pc? non è che qualcuno è configurato diversamente?

Nel pc sono presenti:
- Slackware 13.0 64
- Sabayon 5.0 64
- Ubuntu 9.04
Sono configurati allo stesso modo (l'unica cosa che non ricordo e' se in qualcuno a parte Slackware, ho settato "UTC" anziche "locale"; comunque dagli altri due, non ho mai avuto problemi (a parte il fatto che Sabayon 5.0 64 non vuol saperne di connettersi, ho anche chiesto aiuto nella sezione dedicata a Linux in generale).
Immagino anche tu abbia notato la gentile partecipazione di Dani; ho seguito le sue indicazioni e l'orologio sembra a posto adesso, verifichero' domani.

Ciao :)
Sybelius
Linux 1.0
Linux 1.0
 
Messaggi: 86
Iscritto il: mar set 09, 2008 19:00

Re: Non riesco ad installare i pacchetti

Messaggioda klick » gio ott 15, 2009 9:17

Sybelius ha scritto:Per quanto riguarda il tentativo d'installazione afferente a Slackyd, ho letto questa guida (mi era parsa affidabile...):
http://klick-blog.blogspot.com/2009/08/ ... e-con.html


Ciao, sono l'autore del post.

La guida era per slackware 12.2, niente 64bit.
Quindi se mi dite che con i 64bit non funziona la correggo :thumbright:

Ciao,ciao
Avatar utente
klick
Linux 1.0
Linux 1.0
 
Messaggi: 8
Iscritto il: gio ott 15, 2009 9:06


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite